%define rel 3
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: The UCL Compression Library
Name: ucl
Version: 1.01
Release: %{rel}%{rhtag}
License: GPL
Group: System Environment/Libraries
Source: http://www.oberhumer.com/opensource/ucl/download/%{name}-%{version}.tar.gz
Url: http://www.oberhumer.com/opensource/ucl/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
UCL is a portable lossless data compression library written in ANSI C.

UCL implements a number of compression algorithms that achieve an
excellent compression ratio while allowing *very* fast decompression.
Decompression requires no additional memory.


%package devel
Summary: ucl headers, libraries
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
ucl headers, libraries

%prep
%setup

%build
%configure --enable-shared
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Apr 28 2003 Peter Soos <sp@osb.hu>
- RPM for RedHat Linux 9
* Fri Aug 23 2002 Peter Soos <sp@osb.hu>
- initial RPM for RedHat Linux 7.3

%files
%defattr(0644, root, root, 0755)
%doc README
%attr(0755, root, root) %{_libdir}/libucl.so*

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/libucl.a
%attr(0755, root, root) %{_libdir}/libucl.la
%{_includedir}/ucl*.h
